Hi there,

I setup a fresh and updated Debian Squeeze box and followed the 
howto on http://wiki.debian.org/Lustre for setting up Lustre 2.2.

I downloaded all required packages from 
http://pkg-lustre.alioth.debian.org/backports/lustre-2.2.0-squeeze/
and http://pkg-lustre.alioth.debian.org/backports/ldiskfsprogs-1.42.3/.
############################################################################################
root@squeezy:~/pkg-lustre/lustre-2.2.0-squeeze# ls -l
total 68708
-rw-r--r-- 1 root root   196496 Jul 19 12:21 ldiskfsprogs_1.42.3-1_amd64.deb
-rw-r--r-- 1 root root 27081202 Aug 27 13:05 
linux-image-2.6.32-lustre-2.2_deblust.1.0_amd64.deb
-rw-r--r-- 1 root root 42130640 Aug 27 13:12 
lustre-modules-2.6.32-lustre-2.2_2.2.0-5_amd64.deb
-rw-r--r-- 1 root root   944308 Aug 27 12:51 lustre-utils_2.2.0-5_amd64.deb
root@squeezy:~/pkg-lustre/lustre-2.2.0-squeeze#
############################################################################################

There is a version conflict for installing lustre-utils_2.2.0-5_amd64.deb.

############################################################################################
root@squeezy:~/pkg-lustre/lustre-2.2.0-squeeze# dpkg -i 
./lustre-utils_2.2.0-5_amd64.deb 
Selecting previously deselected package lustre-utils.
(Reading database ... 25628 files and directories currently installed.)
Unpacking lustre-utils (from .../lustre-utils_2.2.0-5_amd64.deb) ...
dpkg: dependency problems prevent configuration of lustre-utils:
 lustre-utils depends on ldiskfsprogs (>= 1.42.3); however:
  Package ldiskfsprogs is not installed.
dpkg: error processing lustre-utils (--install):
 dependency problems - leaving unconfigured
Processing triggers for man-db ...
Errors were encountered while processing:
 lustre-utils
root@squeezy:~/pkg-lustre/lustre-2.2.0-squeeze#
############################################################################################

So installing first ldiskfsprogs_1.42.3-1_amd64.deb however induces another 
version conflict.

############################################################################################
root@squeezy:~/pkg-lustre/lustre-2.2.0-squeeze# dpkg -i 
./ldiskfsprogs_1.42.3-1_amd64.deb 
dpkg: regarding .../ldiskfsprogs_1.42.3-1_amd64.deb containing ldiskfsprogs, 
pre-dependency problem:
 ldiskfsprogs pre-depends on e2fslibs (>= 1.42.2)
  e2fslibs is installed, but is version 1.41.12-4stable1.
dpkg: error processing ./ldiskfsprogs_1.42.3-1_amd64.deb (--install):
 pre-dependency problem - not installing ldiskfsprogs
Errors were encountered while processing:
 ./ldiskfsprogs_1.42.3-1_amd64.deb
root@squeezy:~/pkg-lustre/lustre-2.2.0-squeeze#
############################################################################################

I installed the e2fslibs Wheezy package and afterwards the required 
packages ldiskfsprogs_1.42.3-1_amd64.deb and lustre-utils_2.2.0-5_amd64.deb.

Everything worked out fine and one can boot the 2.6.32-lustre-2.2 kernel.

However, one cannot format any partition as MGS/MDT:

############################################################################################
root@squeezy:~# mkfs.lustre --fsname=temp --mgs --mdt /dev/vda2

   Permanent disk data:
Target:     temp-MDTffff
Index:      unassigned
Lustre FS:  temp
Mount type: ldiskfs
Flags:      0x75
              (MDT MGS needs_index first_time update )
Persistent mount opts: user_xattr,errors=remount-ro
Parameters:

checking for existing Lustre data: not found
device size = 732MB
formatting backing filesystem ldiskfs on /dev/vda2
        target name  temp-MDTffff
        4k blocks     187392
        options        -I 512 -i 2048 -q -O dirdata,uninit_bg,dir_nlink -E 
lazy_journal_init -F
mkfs_cmd = mkfs.ldiskfs -j -b 4096 -L temp-MDTffff  -I 512 -i 2048 -q -O 
dirdata,uninit_bg,dir_nlink -E lazy_journal_init -F /dev/vda2 187392
   
   Your mke2fs.conf file does not define the ldiskfs filesystem type.
   /dev/vda2: Filesystem has unsupported feature(s) while setting up superblock

mkfs.lustre FATAL: Unable to build fs /dev/vda2 (256)

mkfs.lustre FATAL: mkfs failed 256
############################################################################################

The ldiskfs module is properly loaded:

############################################################################################
root@squeezy:~# lsmod | grep ldiskfs
ldiskfs               366724  0 
mbcache                 5064  2 ldiskfs,ext4
jbd2                   66243  2 ldiskfs,ext4
crc16                   1303  2 ldiskfs,ext4
############################################################################################

Are there any additional modifications in /etc/mke2fs.conf required to get 
Lustre 2.2.0 working?

I repeated the above steps with Lustre version 1.8.7-wc1 downloaded from
http://pkg-lustre.alioth.debian.org/backports/lustre-1.8.7-wc1-squeeze/
and everything went and worked perfectly (no problems in setting up a
working lustre server and a bunch of clients).

Best,
 Thomas



_______________________________________________
Pkg-lustre-maintainers mailing list
Pkg-lustre-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-lustre-maintainers

Reply via email to